<?xml version="1.0" encoding="utf-8"?>
<androidx.cardview.widget.CardView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="214dp"
    android:layout_height="176dp"
    android:layout_marginHorizontal="4dp"
    app:cardCornerRadius="4dp"
    app:cardElevation="0dp"
    app:cardBackgroundColor="@color/transparent">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <com.facebook.drawee.view.SimpleDraweeView
            android:id="@+id/iv_cover"
            android:layout_width="0dp"
            android:layout_height="120dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />


        <TextView
            android:id="@+id/tv_title"
            style="@style/TextBody2"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="10dp"
            android:ellipsize="end"
            android:includeFontPadding="false"
            android:maxLines="1"
            android:textColor="@color/text_primary"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/iv_cover" />

        <Space
            android:id="@+id/space"
            android:layout_width="10dp"
            android:layout_height="1dp"
            android:layout_marginBottom="16dp"
            android:background="#ff0000"
            app:layout_constraintBottom_toBottomOf="parent" />

        <TextView
            android:id="@+id/tv_label"
            style="@style/TextAnnotation1"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:background="#1AFF5447"
            android:paddingHorizontal="2dp"
            android:textColor="#FF5447"
            app:layout_constraintBottom_toBottomOf="@id/space"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="@id/space"
            tools:text="充值" />

        <TextView
            android:id="@+id/tv_price_symbol"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="4dp"
            android:text="¥"
            android:textColor="#FF5447"
            android:textSize="8sp"
            android:textStyle="bold"
            app:layout_constraintBaseline_toBaselineOf="@id/tv_price"
            app:layout_constraintStart_toEndOf="@id/tv_label" />

        <TextView
            android:id="@+id/tv_price"
            style="@style/TextBody2"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="2dp"
            android:textColor="#FF5447"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="@id/tv_label"
            app:layout_constraintStart_toEndOf="@id/tv_price_symbol"
            app:layout_constraintTop_toTopOf="@id/tv_label"
            app:layout_goneMarginStart="4dp"
            tools:text="388.8" />

        <TextView
            android:id="@+id/tv_original_price"
            style="@style/TextCaption1"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="4dp"
            android:textColor="@color/text_tertiary"
            app:layout_constraintBaseline_toBaselineOf="@id/tv_price"
            app:layout_constraintStart_toEndOf="@id/tv_price"
            tools:text="¥648" />

        <TextView
            android:id="@+id/tv_copy"
            style="@style/TextAnnotation1"
            android:layout_width="wrap_content"
            android:layout_height="18dp"
            android:layout_marginStart="4dp"
            android:background="@drawable/bg_recommend_card_added_content"
            android:gravity="center"
            android:paddingHorizontal="4dp"
            android:textColor="#FFFFFF"
            app:layout_constraintBottom_toBottomOf="@id/space"
            app:layout_constraintStart_toEndOf="@id/tv_original_price"
            app:layout_constraintTop_toTopOf="@id/space"
            tools:text="立省421.2元" />
    </androidx.constraintlayout.widget.ConstraintLayout>
</androidx.cardview.widget.CardView>